# $Revision: 1.29 $, $Date: 2002/08/28 20:58:43 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	Template
Summary:	Text::Template - Expand template text with embedded Perl
Summary(pl):	Text::Template - przetwarzanie szablonw tekstowych przez wbudowany Perl
Name:		perl-Text-Template
Version:	1.43
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a library for generating form letters, building HTML pages,
or filling in templates generally.  A `template' is a piece of text
that has little Perl programs embedded in it here and there.  When you
`fill in' a template, you evaluate the little programs and replace
them with their values.

%description -l pl
To jest biblioteka do generowania listw z formularzy, budowania stron
HTML lub oglnie wypeniania szablonw. Szablon (template) to kawaek
tekstu, ktry ma wbudowane gdzieniegdzie mae programy w Perlu. Przy
"wypenianiu" szablonu te mae programy s wykonywane i zastpowane
zwracanymi przez nie wartociami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitelib}/Text/Template.pm
%{perl_sitelib}/Text/Template
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Text-Template.spec,v $
Revision 1.29  2002/08/28 20:58:43  qboosh
- pl description, release++

Revision 1.28  2002/08/11 19:36:49  radek
- release up

Revision 1.27  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.26  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.25  2002/07/11 08:05:22  depesz
- new version; should work; STBR

Revision 1.24  2002/07/10 09:02:03  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.23  2002/06/04 12:17:22  grabba
Removed BR: perl-devel

Revision 1.22  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/25 10:35:02  depesz
cleanup; revision++

Revision 1.20  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/13 14:21:08  depesz
automatic: Source location unfied, Relase Up

Revision 1.18  2002/02/10 15:36:19  depesz
adapterized

Revision 1.17  2002/01/18 02:14:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/10 18:34:57  kloczek
- updated to 1.42.

Revision 1.15  2001/09/08 07:59:22  kloczek
- fixed %doc files list.

Revision 1.14  2001/09/08 07:45:04  kloczek
- updated to 1.41.

Revision 1.13  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.12  2001/04/17 12:17:02  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/20 16:02:09  mis
- updated (by autoup) to 1.31

Revision 1.9  2001/01/25 21:14:21  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:32  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:01  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:36:08  pius
- updated to 1.23

Revision 1.2  1999/11/07 09:18:47  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:48  pius
- initial release
